| Verb | URI | Description | |||
| POST | /servers/id/action |
Confirms a pending resize action. | |||
Normal Response Code: 204
Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), badMediaType(415), itemNotFound (404), buildInProgress (409), serverCapacityUnavailable (503), overLimit (413), resizeNotAllowed (403)
| Status Transition: |
VERIFY_RESIZE
ACTIVE
|
||
During a resize operation, the original server is saved for a period of time to allow roll back if there is a problem. Once the newly resized server is tested and has been confirmed to be functioning properly, use this operation to confirm the resize. After confirmation, the original server is removed and cannot be rolled back to. All resizes are automatically confirmed after 24 hours if they are not explicitly confirmed or reverted.
This operation does not return a response body.
Example 3.28. Confirm Resize: XML Request
<?xml version="1.0" encoding="UTF-8"?>
<confirmResize xmlns="http://docs.rackspacecloud.com/servers/api/v1.0" />


